# -*- coding: UTF-8 -*-
import esigntool
import requests
from esigntool import esign_run_print_outer

# 合同文件签署服务API - 抄送方 - 变更类

config = esigntool.config()  # 初始化配置类


@esign_run_print_outer
def addCopiers():
    """
    添加抄送方
    :return:
    """
    sign_flowId = "df********grgter"  # 声明变量入参
    body = {
        "copiers": [
            {
                "copierOrgInfo": {
                    "orgName": "这是个抄送通知企业的名称",
                    "orgId": ""
                },
                "copierPsnInfo": {
                    "psnAccount": "153****7650",
                    "psnId": ""
                }
            }
        ]
    }  # 构建请求body体
    api_path = "/v3/sign-flow/{}/copiers".format(sign_flowId)  # 拼接请求路径
    method = esigntool.httpMethodEnum.POST  # 声明请求方法
    json_headers = esigntool.buildSignJsonHeader(config.appId, config.scert,
                                                 method, api_path, body)  # 签名并构造签名鉴权json请求头
    resp = requests.request(method, config.host + api_path, json=body, headers=json_headers)  # 发送请求
    print(resp.text)
    return resp


@esign_run_print_outer
def deleteCopiers():
    """
    删除签署区
    :return:
    """
    sign_flowId = "df********grgter"  # 声明变量入参
    body = {
        "copiers": [
            {
                "copierPsnInfo": {
                    "psnId": "",
                    "psnAccount": "151****0101"
                },
                "copierOrgInfo": {
                    "orgId": "",
                    "orgName": "这是个抄送方的企业名称"
                }
            }
        ]
    }  # 构建请求body体
    api_path = "/v3/sign-flow/{}/copiers/delete".format(sign_flowId)  # 拼接请求路径
    method = esigntool.httpMethodEnum.POST  # 声明请求方法
    json_headers = esigntool.buildSignJsonHeader(config.appId, config.scert,
                                                 method, api_path, body)  # 签名并构造签名鉴权json请求头
    resp = requests.request(method, config.host + api_path, json=body, headers=json_headers)  # 发送请求
    print(resp.text)
    return resp


if __name__ == '__main__':
    addCopiers()  # 添加抄送方
    deleteCopiers()  # 删除抄送方
