# -*- coding: UTF-8 -*-
import esigntool
import requests
from esigntool import esign_run_print_outer

# 合同文件签署服务API - 签署流程 - 下载类

config = esigntool.config()  # 初始化配置类


@esign_run_print_outer
def fileDownloadUrl():
    """
    下载已签署文件及附属材料
    :return:
    """
    sign_flowId = "df********grgter"  # 声明变量入参
    api_path = "/v3/sign-flow/{}/file-download-url".format(sign_flowId)  # 拼接请求路径
    method = esigntool.httpMethodEnum.GET  # 声明请求方法
    json_headers = esigntool.buildSignJsonHeader(config.appId, config.scert,
                                                 method, api_path)  # 签名并构造签名鉴权json请求头
    resp = requests.request(method, config.host + api_path, json=None, headers=json_headers)  # 发送请求
    print(resp.text)
    return resp


if __name__ == '__main__':
    fileDownloadUrl()  # 下载已签署文件及附属材料
